#!/bin/sh

echo "---------------------------------------------"
echo "  Welcome to CLUSTISTIC, build 13th Dec 09:03"
echo "---------------------------------------------"

if [ $# -eq 0  ];
	then
	echo "Usage:"
	echo "CLUSTISTIC.SH <newickFile> [--all]"
	echo ""
	echo "Here <newickFile> is assumed to be a file of binary"
	echo "trees on the same set of taxa, one per line."
	echo ""
	echo "If the --all parameter is not supplied CLUSTISTIC"
	echo "will stop after the first network it finds that"
	echo "represents all the clusters in the trees, otherwise"
	echo "CLUSTISTIC will simply carry on constructing networks"
	echo "with an increasing number of reticulations."
	echo "---------------------------------------------"
	exit
	fi

echo "These are the trees that we will work with:"
cat $1
echo "---------------------------------------------"

echo -n "First we will convert the trees to a set of clusters..."

# java -jar NewickToClusters.jar < $1 | grep -v '//' > $1.clus

java -jar NewickToClusters.jar < $1 > $1.clus

echo "done."

echo -n "Now we will convert the trees to a set of triplets..."

java -jar NewickToTriplet.jar --noweight < $1 | grep -v '//' > $1.trip

echo "done."

echo "Running main CLUSTISTIC algorithm...full output will be copied to file $1.net"

java Clustistic $1.trip $1.clus $2 | tee $1.net | grep CLUSTISTIC

echo "Done"

echo "The network(s) can be viewed by running the following command (under UNIX):"
echo "dot -Tps $1.net -o $1.net.ps"
